Skip to main content
GET
List SSH keys

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

project_id
string<uuid>

Optional project ID to list project-scoped SSH keys

Response

List of SSH keys

algorithm
enum<string>
required
Available options:
ed25519,
rsa-2048,
rsa-4096,
ecdsa-256,
ecdsa-384,
ecdsa-521,
password
auth_type
enum<string>
required

Authentication type (key = generated key pair, password = password-based)

Available options:
key,
password
id
string<uuid>
required
is_owned
boolean
required

Whether the caller owns this original resource.

name
string
required
owner_email
string
required
visibility
enum<string>
required
Available options:
private,
team
created_at
string<date-time>
default_host
string | null
default_port
integer | null
default_username
string | null
fingerprint
string | null

SHA256 fingerprint of the public key (null for password auth)

host_key_fingerprint
string

Trusted server host-key SHA256 fingerprint; required for shared execution.

project_id
string<uuid> | null
public_key
string | null

OpenSSH authorized_keys format public key (null for password auth)

team_id
string<uuid> | null